Package org.stianloader.micromixin.transform.internal.util.smap

## Class FileSection

- java.lang.Object
- - org.stianloader.micromixin.transform.internal.util.smap.AbstractSMAPSection
  - - org.stianloader.micromixin.transform.internal.util.smap.FileSection

    public class FileSection
    extends AbstractSMAPSection

### Nested Class Summary

Nested Classes
`static class` `FileSection.FileSectionEntry`

### Constructor Summary

Constructors
`FileSection​(java.util.List<FileSection.FileSectionEntry> entries)`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.StringBuilder` `pushContents​(java.lang.StringBuilder sharedBuilder)`

### Methods inherited from class org.stianloader.micromixin.transform.internal.util.smap.AbstractSMAPSection

`toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### FileSection

    public FileSection​(java.util.List<FileSection.FileSectionEntry> entries)

### Method Detail

#### pushContents

    @NotNull
    @Contract(mutates="param1",
              pure=false,
              value="!null -> param1; null -> fail")
    public java.lang.StringBuilder pushContents​(@NotNull
                                                java.lang.StringBuilder sharedBuilder)

Specified by:
  `pushContents` in class `AbstractSMAPSection`